Subject: B19[.1]: MAJOR problems -- foreign filenames broken; script claims all files can't be found
From: [email-masked] (Dan Harkless)

18 Apr 1998 07:40:48 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="------------33CADC5E58"
To: [email-masked]
Cc: [email-masked]

This is a multi-part message in MIME format.

--------------33CADC5E58
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

I just tried upgrading from B18 to B19.1, but the new version is totally
unusable to me.  I have a bunch of test files from our Japanese customer
that have Japanese names.  With B18, the filenames just looked like a
bunch of junk characters.  With B19.1, cygwin32 claims that the files
"can't be found", whether I use ls, find, or whatever.  An example
filename (as it shows up with ls -b): 

    \213L\230^\203`\203F\203b\203N\202P.4gl

Also, I have a script which backs up a bunch of files to my UNIX
account.  Under B19.1, every call to tar says "file not found" for every
file.  If I run the commands in the script from the commandline, they
work fine (and of course the script works under B18).  I will include
the script as a MIME attachment.

Unfortunately I didn't try any of this on B19 (just B19.1), and I've now
deleted all traces of B19.1 from my system (I was paranoid I wouldn't be
able to get B18 working again).

------------------------------------------------------------------------
Dan Harkless           | NOTE: Due to SPAM I have implemented a caller-
Unitech Research, Inc. | ID-like policy for this account.  Put "re-send"
[email-masked] | in your Subject to bypass; finger me for more.

--------------33CADC5E58
Content-Type: text/plain; charset=us-ascii; name="backup_pc"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline; filename="backup_pc"

# (bash script)
#
# backup_pc
#
# DESCRIPTION:
#   Backs up important files on my PC over to my UNIX account.
#
# REVISION HISTORY:
#   DATE MOD.  BY   REASON FOR MODIFICATION
#   =========  ===  ============================================================
#   24 Sep 97  DLH  Original.

back () {
    d=`dirname $1`
    if [ $d = . ]; then
	d=$1
    fi
    tar cvf $d.tar $*
    gzip $d.tar
    rcp -b $d.tar.gz sunlight:misc/pc
    rm $d.tar.gz
}

set -x

cd C:/Program\ Files
back 4NT/4{nt.ini,start.btm}

cd C:/
back bin
back bin_nt
back stuff_I_need_to_find_a_place_for

cd D:/
back dlh

cd F:/Office95
back Templates/*.dot

--------------33CADC5E58--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".